
Ruby - Bug #12069

[PATCH] document OpenSSL::SSL::SSLContext#setup as MT-unsafe

02/14/2016 11:09 AM - normalperson (Eric Wong)

Status: Closed   

Priority: Normal   

Assignee: zzak (zzak _)   

Target version:    

ruby -v:  Backport: 2.1: DONE, 2.2: DONE, 2.3: DONE

Description

document OpenSSL::SSL::SSLContext#setup as MT-unsafe

On a cursory inspection, using rb_block_call for extra_chain_cert

is thread-unsafe.  There may be other instances of thread-unsafe

behavior in this method, but one is enough.

ext/openssl/ossl_ssl.c (ossl_sslctx_setup): document as MT-unsafe

Associated revisions

Revision 9749511dfec95fef6168bcb53d25041c2d529fc5 - 03/14/2016 01:20 AM - Eric Wong 

document OpenSSL::SSL::SSLContext#setup as MT-unsafe

On a cursory inspection, using rb_block_call for extra_chain_cert

is thread-unsafe.  There may be other instances of thread-unsafe

behavior in this method, but one is enough.

ext/openssl/ossl_ssl.c (ossl_sslctx_setup): document as MT-unsafe

[ruby-core:73803] [Bug #12069]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54097 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9749511d - 03/14/2016 01:20 AM - Eric Wong 

document OpenSSL::SSL::SSLContext#setup as MT-unsafe

On a cursory inspection, using rb_block_call for extra_chain_cert

is thread-unsafe.  There may be other instances of thread-unsafe

behavior in this method, but one is enough.

ext/openssl/ossl_ssl.c (ossl_sslctx_setup): document as MT-unsafe

[ruby-core:73803] [Bug #12069]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54097 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 32299d987b69d02cdd3ca4a8c33c68233cfad4cd - 03/25/2016 09:36 AM - U.Nakamura 

merge revision(s) 54097: [Backport #12069]

    * ext/openssl/ossl_ssl.c (ossl_sslctx_setup): document as MT-unsafe

      [ruby-core:73803] [Bug #12069]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@54282 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 32299d98 - 03/25/2016 09:36 AM - U.Nakamura 

merge revision(s) 54097: [Backport #12069]

    * ext/openssl/ossl_ssl.c (ossl_sslctx_setup): document as MT-unsafe

      [ruby-core:73803] [Bug #12069]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@54282 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 1d3af7a3fcc4a0c5ad684d8cb6dfb4835f24275e - 03/28/2016 04:20 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 54097: [Backport #12069]
    * ext/openssl/ossl_ssl.c (ossl_sslctx_setup): document as MT-unsafe

      [ruby-core:73803] [Bug #12069]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54332 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 1d3af7a3 - 03/28/2016 04:20 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 54097: [Backport #12069]

    * ext/openssl/ossl_ssl.c (ossl_sslctx_setup): document as MT-unsafe

      [ruby-core:73803] [Bug #12069]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54332 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2f29baf68cd1cd77f91ae83a0015878f9b1cbd31 - 03/29/2016 07:40 AM - naruse (Yui NARUSE)

merge revision(s) 54097: [Backport #12069]

    * ext/openssl/ossl_ssl.c (ossl_sslctx_setup): document as MT-unsafe

      [ruby-core:73803] [Bug #12069]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54379 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2f29baf6 - 03/29/2016 07:40 AM - naruse (Yui NARUSE)

merge revision(s) 54097: [Backport #12069]

    * ext/openssl/ossl_ssl.c (ossl_sslctx_setup): document as MT-unsafe

      [ruby-core:73803] [Bug #12069]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54379 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/14/2016 01:20 AM - Anonymous

- Status changed from Open to Closed

Applied in changeset r54097.

document OpenSSL::SSL::SSLContext#setup as MT-unsafe

On a cursory inspection, using rb_block_call for extra_chain_cert

is thread-unsafe.  There may be other instances of thread-unsafe

behavior in this method, but one is enough.

ext/openssl/ossl_ssl.c (ossl_sslctx_setup): document as MT-unsafe

[ruby-core:73803] [Bug #12069]

#2 - 03/14/2016 01:31 AM - normalperson (Eric Wong)

Committed with a minor wording change as r54097

s/SSLSockets/SSLSocket objects/ for searchability

#3 - 03/24/2016 07:36 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.1: REQUIRED, 2.2: REQUIRED, 2.3:

REQUIRED

#4 - 03/25/2016 09:36 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: DONE, 2.2: REQUIRED, 2.3: REQUIRED

ruby_2_1 r54282 merged revision(s) 54097.

#5 - 03/28/2016 04:21 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: DONE, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: DONE, 2.2: DONE, 2.3: REQUIRED

Backported into ruby_2_2 branch at r54332.

#6 - 03/29/2016 07:41 AM - naruse (Yui NARUSE)
bugs.ruby-lang.org/issues/12069
https://bugs.ruby-lang.org/issues/12069


- Backport changed from 2.1: DONE, 2.2: DONE, 2.3: REQUIRED to 2.1: DONE, 2.2: DONE, 2.3: DONE

ruby_2_3 r54379 merged revision(s) 54097.

Files

0001-document-OpenSSL-SSL-SSLContext-setup-as-MT-unsafe.patch1.12 KB 02/14/2016 normalperson (Eric Wong)
